> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squarecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Blob Object List

> Questa documentazione fornisce una panoramica completa dell'endpoint GET /v1/objects della SquareCloud Blob API.

<ParamField header="Authorization" type="string" placeholder="API Key" required>
  La chiave API del tuo account. Puoi trovarla nelle [impostazioni del tuo account](https://squarecloud.app/it/account/security).
</ParamField>

<ParamField query="prefix" type="string" placeholder="File Prefix">
  Una stringa che rappresenta il prefisso del file.<br />Deve rispettare il pattern a to z, A to Z, 0 to 9, and \_. (da 3 a 32 caratteri)
</ParamField>

<ParamField query="continuationToken" type="string" placeholder="Continuation Token">
  Una stringa che rappresenta il token di continuazione per l'elenco dei file. (1000 oggetti per pagina)
</ParamField>

### Risposta

<ResponseField name="status" type="string">
  Indica se la chiamata ha avuto successo. "success" in caso di successo, "error" in caso contrario.
</ResponseField>

<ResponseField name="response" type="object">
  <Expandable title="Mostra oggetto">
    <ResponseField name="objects" type="array">
      <Expandable title="Mostra oggetto">
        <ResponseField name="id" type="string">
          L'id dell'oggetto.
        </ResponseField>

        <ResponseField name="size" type="integer">
          La dimensione dell'oggetto in byte.
        </ResponseField>

        <ResponseField name="created_at" type="ISO 8601">
          La data e l'ora in cui l'oggetto è stato creato.
        </ResponseField>

        <ResponseField name="expires_at" type="ISO 8601">
          La data e l'ora in cui l'oggetto scadrà.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="continuationToken" type="string">
      Token per recuperare la pagina successiva; passalo di nuovo come parametro di query `continuationToken`. `null` o assente quando non ci sono più oggetti.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Response - [30s cache] theme={null}
  {
    "status": "success",
    "response": {
      "objects": [
        {
          "id": "ID/name1_ltq7b2sw-de6241.jpeg",
          "size": 78266,
          "created_at": "2024-03-13T19:31:28.776Z"
        },
        {
          "id": "ID/name_ltq7b2sw-de6243-ex1.jpeg",
          "size": 90466,
          "created_at": "2024-03-13T19:35:28.776Z",
          "expires_at": "2024-03-14T19:35:28.776Z"
        }
      ],
      "continuationToken": null
    }
  }
  ```
</ResponseExample>

### Risoluzione dei problemi

<Tabs>
  <Tab title="Codice di stato 400">
    ### Relativi all'oggetto

    <CodeGroup>
      ```json INVALID_PREFIX theme={null}
      // The provided object prefix is invalid.
      // Must adhere to the a to z, A to Z, 0 to 9, and _ pattern.
      {
          "status": "error",
          "code": "INVALID_OBJECT_PREFIX"
      }
      ```

      ```json INVALID_CONTINUATION_TOKEN theme={null}
      // The provided continuation token is invalid (must be a string up to 2048 characters).
      {
          "status": "error",
          "code": "INVALID_CONTINUATION_TOKEN"
      }
      ```

      ```json FAILED_LIST theme={null}
      // The request to list the objects failed. Please try again.
      {
          "status": "error",
          "code": "FAILED_LIST"
      }
      ```
    </CodeGroup>
  </Tab>

  <Tab title="Codice di stato 401">
    ### Non autorizzato

    <CodeGroup>
      ```json ACCESS_DENIED theme={null}
      // The API key is missing or invalid. Set a valid key in the Authorization header.
      {
          "status": "error",
          "code": "ACCESS_DENIED"
      }
      ```
    </CodeGroup>
  </Tab>

  <Tab title="Codice di stato 429">
    ### Limite di frequenza

    <CodeGroup>
      ```json RATELIMIT theme={null}
      // List rate limit reached (10 requests per 30s window).
      {
          "status": "error",
          "code": "RATELIMIT"
      }
      ```
    </CodeGroup>
  </Tab>
</Tabs>
